{
  "name": "foodsharing-frontend",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "lint": "bin/eslint -c package.json",
    "fix": "bin/eslint -c package.json --fix",
    "clean-assets": "shx rm -rf ../assets",
    "build": "yarn clean-assets && NODE_ENV=production webpack",
    "dev": "yarn clean-assets && webpack-dev-server --hot --config serve.config.js",
    "test": "node test"
  },
  "dependencies": {
    "@fortawesome/fontawesome-free": "^5.8.1",
    "autosize": "^4.0.2",
    "bootstrap-vue": "<2.0.0-rc.12",
    "copy-webpack-plugin": "^5.0.2",
    "core-js": "<3.0.0",
    "corejs-typeahead": "^1.2.1",
    "cropperjs": "^1.5.1",
    "date-fns": "^1.30.1",
    "fullpage.js": "<2.9.6",
    "install": "^0.12.2",
    "jquery": "^3.3.1",
    "jquery-contextmenu": "^2.8.0",
    "jquery-jcrop": "^0.9.13",
    "jquery-migrate": "^3.0.1",
    "jquery-slimscroll": "^1.3.8",
    "jquery-ui": "<1.12.0-beta.1",
    "jquery.ui.position": "^1.11.4",
    "leaflet": "^1.4.0",
    "leaflet.awesome-markers": "^2.0.5",
    "leaflet.markercluster": "^1.4.1",
    "lodash.pickby": "^4.6.0",
    "magnific-popup": "^1.1.0",
    "node-sass": "^4.11.0",
    "object-path": "^0.11.4",
    "raven-js": "^3.27.0",
    "socket.io-client": "^2.2.0",
    "timeago": "^1.6.5",
    "tinysort": "^3.2.5",
    "twemoji": "^11.3.0",
    "typeahead-address-photon": "^1.0.0",
    "typeahead-addresspicker": "^1.0.1",
    "typeface-alfa-slab-one": "^0.0.72",
    "underscore": "^1.9.1",
    "vue": "^2.6.10",
    "whatwg-fetch": "^3.0.0"
  },
  "devDependencies": {
    "@babel/core": "^7.4.0",
    "@babel/preset-env": "^7.4.2",
    "@vue/test-utils": "^1.0.0-beta.29",
    "babel-eslint": "^10.0.1",
    "babel-loader": "^8.0.5",
    "css-loader": "^2.1.1",
    "dotenv": "^7.0.0",
    "eslint": "^5.16.0",
    "eslint-config-standard": "^12.0.0",
    "eslint-loader": "^2.1.2",
    "eslint-plugin-html": "^5.0.3",
    "eslint-plugin-import": "^2.16.0",
    "eslint-plugin-node": "^8.0.1",
    "eslint-plugin-promise": "^4.0.1",
    "eslint-plugin-standard": "^4.0.0",
    "eslint-plugin-vue": "^5.2.2",
    "exports-loader": "^0.7.0",
    "expose-loader": "^0.7.5",
    "file-loader": "^3.0.1",
    "glob": "^7.1.3",
    "html-webpack-plugin": "^3.2.0",
    "imports-loader": "^0.8.0",
    "jsdom": "^14.0.0",
    "jsdom-global": "^3.0.2",
    "json-loader": "^0.5.7",
    "loader-utils": "^1.2.3",
    "mini-css-extract-plugin": "^0.5.0",
    "mkdirp": "^0.5.1",
    "mocha": "^6.0.2",
    "node-localstorage": "^1.3.1",
    "null-loader": "^0.1.1",
    "sass-loader": "^7.1.0",
    "shx": "^0.3.2",
    "sinon": "^7.3.1",
    "style-loader": "^0.23.1",
    "url-loader": "^1.1.2",
    "vue-eslint-parser": "<6.0.0",
    "vue-loader": "^15.7.0",
    "vue-template-compiler": "^2.6.10",
    "webpack": "^4.29.6",
    "webpack-bundle-analyzer": "^3.1.0",
    "webpack-cli": "^3.3.0",
    "webpack-dev-server": "^3.2.1",
    "webpack-merge": "^4.2.1",
    "write-file-webpack-plugin": "^4.5.0",
    "yaml-loader": "^0.5.0"
  },
  "eslintConfig": {
    "parser": "vue-eslint-parser",
    "parserOptions": {
      "parser": "babel-eslint"
    },
    "env": {
      "browser": true
    },
    "extends": [
      "standard",
      "plugin:vue/recommended"
    ],
    "rules": {
      "object-curly-spacing": [
        "error",
        "always"
      ],
      "vue/no-v-html": [
        "off"
      ]
    },
    "overrides": [
      {
        "files": [
          "*.test.js"
        ],
        "env": {
          "mocha": true
        }
      }
    ]
  },
  "eslintIgnore": [
    "test/_compiled.js"
  ]
}
